matrix.hh File Reference
`#include <vector>`
`#include <memory>`
`#include <mia/3d/vector.hh>`
`#include <mia/core/msgstream.hh>`
Include dependency graph for 3d/matrix.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | T3DMatrix< T >
| a simple 3x3 matrix More...

## Typedefs

typedef T3DMatrix< double > | C3DDMatrix
| a simple 3x3 matrix with double precision floating point values
typedef T3DMatrix< float > | C3DFMatrix
| a simple 3x3 matrix with single precision floating point values
template<typename T>
using | T3DCVector = T3DVector<std::complex<T>>

## Functions

template<typename T>
T3DMatrix< T > | operator* (const T3DMatrix< T > &m, const T3DMatrix< T > &x)
template<typename T>
T3DVector< T > | operator* (const T3DMatrix< T > &m, const T3DVector< T > &x)
template<typename T>
T3DVector< T > | operator* (const T3DVector< T > &x, const T3DMatrix< T > &m)
template<typename T>
std::ostream & | operator<< (std::ostream &os, const T3DMatrix< T > &m)

## Variables

template class EXPORT_3D | T3DMatrix< double >
template class EXPORT_3D | T3DMatrix< float >
template<typename T>
const T3DMatrix< T > | T3DMatrix< T >::_0 = T3DMatrix<T>()
template<typename T>
const T3DMatrix< T > | T3DMatrix< T >::_1 (T3DVector< T >(1, 0, 0), T3DVector< T >(0, 1, 0), T3DVector< T >(0, 0, 1))

## Typedef Documentation

## C3DDMatrix

typedef T3DMatrix<double> C3DDMatrix

a simple 3x3 matrix with double precision floating point values

Definition at line 229 of file 3d/matrix.hh.

## C3DFMatrix

typedef T3DMatrix<float> C3DFMatrix

a simple 3x3 matrix with single precision floating point values

Definition at line 226 of file 3d/matrix.hh.

## T3DCVector

template<typename T>

using T3DCVector = T3DVector<std::complex<T>>

Definition at line 32 of file 3d/matrix.hh.

## Function Documentation

## operator*() [1/3]

template<typename T>

T3DMatrix< T > operator* | ( | const T3DMatrix< T > & | m,
|  | const T3DMatrix< T > & | x )

Definition at line 212 of file 3d/matrix.hh.

References T3DVector< T >::x, T3DVector< T >::y, and T3DVector< T >::z.

## operator*() [2/3]

template<typename T>

T3DVector< T > operator* | ( | const T3DMatrix< T > & | m,
|  | const T3DVector< T > & | x )

Definition at line 180 of file 3d/matrix.hh.

References dot(), T3DVector< T >::x, T3DVector< T >::y, and T3DVector< T >::z.

## operator*() [3/3]

template<typename T>

T3DVector< T > operator* | ( | const T3DVector< T > & | x,
|  | const T3DMatrix< T > & | m )

Definition at line 186 of file 3d/matrix.hh.

References T3DVector< T >::x, T3DVector< T >::y, and T3DVector< T >::z.

## operator<<()

template<typename T>

std::ostream & operator<< | ( | std::ostream & | os,
|  | const T3DMatrix< T > & | m )

Definition at line 195 of file 3d/matrix.hh.

References T3DMatrix< T >::print().

## Variable Documentation

## T3DMatrix< double >

template class EXPORT_3D T3DMatrix< double >

extern

## T3DMatrix< float >

template class EXPORT_3D T3DMatrix< float >

extern

## T3DMatrix< T >::_0

template<typename T>

const T3DMatrix<T> T3DMatrix< T >::_0 = T3DMatrix<T>()

Definition at line 238 of file 3d/matrix.hh.

## T3DMatrix< T >::_1

template<typename T>

const T3DMatrix< T > T3DMatrix< T >::_1(T3DVector< T >(1, 0, 0), T3DVector< T >(0, 1, 0), T3DVector< T >(0, 0, 1)) | ( | T3DVector< T > | 1, 0, 0,
|  | T3DVector< T > | 0, 1, 0,
|  | T3DVector< T > | 0, 0, 1 )